///////////////////////////////////////////////////////////////////////////////
function ajaxRequest(url) {
	if (url==null || url=="") {
		return;
	}
	url += "&tn=" + Math.random();
	try {
		var xmlhttp;
		if (window.XMLHttpRequest) { // code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp = new XMLHttpRequest();
  	} else { // code for IE6, IE5
  		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
  	}
		xmlhttp.open("GET",url,false);
		xmlhttp.setRequestHeader("If-Modified-Since","0");
		xmlhttp.setRequestHeader("Cache-Control","no-cache");
		xmlhttp.send();
		//alert("requesting:"+url);
	} catch (err) {} 
}
///////////////////////////////////////////////////////////////////////////////
var timeShow = 0;
var timerTimeShow = null;
var urlIvk = "";
var urlReivk = "";
var bEnableMask = false;
function init(_timeShow,_urlIvk,_urlReivk,_timeReivk,_bEnableMask) {
	timeShow = parseInt(_timeShow);
	urlIvk = _urlIvk;
	urlReivk = _urlReivk;
	bEnableMask = (parseInt(_bEnableMask)!=0) ? true : false;
	
	//alert(urlIvk);
	ajaxRequest(urlIvk);
	
	timerTimeShow = setInterval("onTimerSec()", 1000);
	setTimeout("onTimerReinvoke()", 1000*parseInt(_timeReivk));
}
function onTimerSec() {
	--timeShow;
	document.getElementById("countDown").innerHTML = "¹ã¸æµ¹Êý:"+timeShow+"Ãë";
	if (timeShow == 0) {
		clearInterval(timerTimeShow);
		navigate("app:close");
	}
}
function onTimerReinvoke() {
	//alert(urlReivk);
	ajaxRequest(urlReivk);
}
//////////////////////////////////////////////////////////////////////////////
function closeWindow(_delay) {
	var delay = parseInt(_delay);
	if (0 == delay) {
		navigate("app:close");
	} else {
		setTimeout("onTimerClose()", 1000*delay);
	}
}
function onTimerClose() {
	//alert("closing");
	navigate("app:close");
}

///////////////////////////////////////////////////////////////////////////////
function showVideo() {
	//alert("showVideo");
	navigate("app:showVideo");
}

///////////////////////////////////////////////////////////////////////////////
function neverShowVideo(_checked) {
	if (!bEnableMask) {
		document.getElementById("cbNeverShow").checked = false;
	}
	//alert("app:neverShowVideo?val="+(_checked?1:0));
	var cmd = "app:neverShowVideo?val="+(_checked?1:0);
	navigate(cmd);
}

///////////////////////////////////////////////////////////////////////////////
function checkNeverShow(_checked) {
	//alert(_checked);
	var bChecked = parseInt(_checked)!=0 ? true : false;
	document.getElementById("cbNeverShow").checked = bChecked;
}